body{
    background: red;
}

header{
    height: 70px;
    background: navy;
}

main{
    height: 150px;
    width: 90%;
    margin: 0 auto;
    background:orange;
}

footer{
    height: 80px;
    background: lightblue;   
}

@media only screen and (max-width: 800px) {
    body{
        background: lime;
    }

    header::before{
        content: 'Ancho Maximo de 800px';
        font-size: 50px;
        color: #fff;
    }

    footer{
        background: #17A589;
    }
}

@media only screen and (max-width: 600px) {
    body{
        background: yellow;
    }

    header::before{
        content: 'Ancho Maximo de 600px';
        font-size: 50px;
        color: #fff;
    }

}

@media only screen and (min-width: 1000px) {
    body{
        background: purple;
    }

    header::before{
        content: 'Ancho Minimo de 1000px';
        font-size: 50px;
        color: #fff;
    }

    footer{
        background: #FF5733;
    }
}

@media (orientation:landscape) {
    body{
        background-image: url(buildings-5683587_960_720.jpg);
    }
}

@media (orientation:portrait) {
    body{
        background-image: url(mexico.jpg);
    }
}